summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIlya Tumaykin <itumaykin@gmail.com>2017-04-27 23:30:03 +0300
committerDavid Seifert <soap@gentoo.org>2017-05-04 18:28:07 +0200
commit8cd64057c30c0a6b62f84e32d8b34ba994e16200 (patch)
treebff4944e408e096f20fd0c03b0085a39b88808b4 /media-video
parentmedia-video/mpv: remove obsolete postinst conditionals in 9999 (diff)
downloadgentoo-8cd64057c30c0a6b62f84e32d8b34ba994e16200.tar.gz
gentoo-8cd64057c30c0a6b62f84e32d8b34ba994e16200.tar.bz2
gentoo-8cd64057c30c0a6b62f84e32d8b34ba994e16200.zip
media-video/mpv: verbump to 0.25.0
Gentoo-Bug: 616838 Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'media-video')
-rw-r--r--media-video/mpv/Manifest1
-rw-r--r--media-video/mpv/files/0.25.0/mpv-use-internal-GL-definitions.patch100
-rw-r--r--media-video/mpv/mpv-0.25.0.ebuild376
3 files changed, 477 insertions, 0 deletions
diff --git a/media-video/mpv/Manifest b/media-video/mpv/Manifest
index 4aeeafdc247..d36d37ce4ba 100644
--- a/media-video/mpv/Manifest
+++ b/media-video/mpv/Manifest
@@ -1,5 +1,6 @@
DIST mpv-0.18.0.tar.gz 2758960 SHA256 b656638d4f6bce2621baaacb60d8be384aa492fcd86dfd43996aaa2c16fee02b SHA512 5a899ea680b4da6d668a6e77a254e623bafef16f376ee46639e40f151da5a000de84b382f2b07f3a1e87b60fc8e524132767fdf243e36474966af11a88277437 WHIRLPOOL c491e61cb2d7f453cfc23605120048e81c2b7621b8d9591cad6415d3b550f55db6a6c8c6f90d27c7ce214ff89f92a9861d202b457c2de25c5b7de11d8d1d40af
DIST mpv-0.22.0.tar.gz 2822645 SHA256 c0f9ac8f0e37a391d19007b333ef8787c2f45d75a0d4401c0098cde52c5082f6 SHA512 6c021bfb79cbedee842bf122ebb29df56e8b1cbfcb038bd54bf6e2f2db2a6550b71fd9fe8998dbd79b4ceeab3fbcab65ec60695f255c5cb36fb1feae17b797c0 WHIRLPOOL 3458dfe646bab65408a7fe45f98ae168f439b4939064b009ba87d0ae08c1f2067bd252558a92f9fdb0822bf5a35b2377bce7f46aeb190d60a4e115394f0506c9
DIST mpv-0.24.0.tar.gz 2835920 SHA256 a41854fa0ac35b9c309ad692aaee67c8d4495c3546f11cb4cdd0a124195d3f15 SHA512 c1d988ccf9e22765822b9ce75c04f155df4fc4bd4c2aa164903eee8947c36f659116c2ab96668a4af31c4f5aeecbf20ce21191c48456d74e138db617a1e34d96 WHIRLPOOL e3a10fc26df124127b819754aedd8bd4ccaa1b9b3764f0deac20eaa8e338e49f09aea25d2b508b8599ce75b0a72fdd3ebcbb9487851cf823c803024e1effc950
+DIST mpv-0.25.0.tar.gz 2874584 SHA256 07423ffad6921ec4da32f703cd7fbfb27012301dcb736ac8542ac8e6083b0bce SHA512 eefc574e2995ddf6bd15c9b62986a5ca277c30949b036d57a11bbfb796c11c1e6dd7c313abd91a909dd98ca0f2b0be29ec6b980d0287a5891b42b0ffba926cbf WHIRLPOOL 4c5225040ed8793de5daa00a4bb5cf2754fb877c73055dbe4bed92d9fa1bb3f5e67d341c698658e9f10e183084bbe691c8bbb90960e16358b9ffdaa58b11bf2b
DIST waf-1.8.12 97567 SHA256 01bf2beab2106d1558800c8709bc2c8e496d3da4a2ca343fe091f22fca60c98b SHA512 8e47112abb134f965f15a27a600b4453cad3075afb5dadc17f2f6dac33d80ec68b679ac0ebc5f8a0245cbd07ae9fc7b899e69afc1bd021cce74e7af2ab457939 WHIRLPOOL c36d37c2d8c08e4048b4800f511611af5cf534304fcb58388ca491ff308bfcbcdd959d153edfd6ff8c118404e7293d8b786e43b07486139bf915a82aa75d792b
DIST waf-1.9.8 100685 SHA256 167dc42bab6d5bd823b798af195420319cb5c9b571e00db7d83df2a0fe1f4dbf SHA512 e7493767f65deeb38aa162adef22adf60ebbd038410e9cdf4fe6f0de8c43395dbbba14962aa2c3855e1277136085fc22ad12ebfb8ac4e76f16358296039b8ea2 WHIRLPOOL 447b6936b8bd5904d85001a96bdcfd0d517f92ff0a859f8a63efd032a418c1b335578266d0f7ce0c5f71ffc7b81643d18e21c14981502153e2d586a9ce152c3a
diff --git a/media-video/mpv/files/0.25.0/mpv-use-internal-GL-definitions.patch b/media-video/mpv/files/0.25.0/mpv-use-internal-GL-definitions.patch
new file mode 100644
index 00000000000..afb0a541647
--- /dev/null
+++ b/media-video/mpv/files/0.25.0/mpv-use-internal-GL-definitions.patch
@@ -0,0 +1,100 @@
+commit 9d80c08441edf3e8da5180fb42eda71878e9c411
+Author: Ilya Tumaykin <itumaykin@gmail.com>
+Date: Wed Apr 26 17:43:51 2017 +0300
+
+build: rely on internal GL headers for rpi check
+
+Since mpv ships all the required OpenGL defines now,
+rpi check doesn't need to check system GL headers.
+
+diff --git a/waftools/checks/custom.py b/waftools/checks/custom.py
+index 8ed06e5b2..36b6822be 100644
+--- a/waftools/checks/custom.py
++++ b/waftools/checks/custom.py
+@@ -146,10 +146,6 @@ def check_rpi(ctx, dependency_identifier):
+ check_pkg_config('egl'),
+ check_pkg_config('glesv2'),
+ check_cc(lib=['mmal_core', 'mmal_util', 'mmal_vc_client'], use=['bcm_host']),
+- # We still need all OpenGL symbols, because the vo_opengl code is
+- # generic and supports anything from GLES2/OpenGL 2.1 to OpenGL 4 core.
+- check_statement('GL/gl.h', '(void)GL_RGB32F'), # arbitrary OpenGL 3.0 symbol
+- check_statement('GL/gl.h', '(void)GL_LUMINANCE16') # arbitrary OpenGL legacy-only symbol
+ ]
+
+ ret = all((fn(ctx, dependency_identifier) for fn in checks))
+
+commit cb25bb5776b30e34ff7aa32c5e0a4f8862774e74
+Author: wm4 <wm4@nowhere>
+Date: Wed Apr 26 17:09:16 2017 +0200
+
+build: remove checks for libGL
+
+We don't need to link against libGL directly, nor do we need OpenGL
+headers. The only thing we need is the windowing interop stuff, such as
+libEGL.
+
+diff --git a/waftools/checks/custom.py b/waftools/checks/custom.py
+index 36b6822be..a2b4971cd 100644
+--- a/waftools/checks/custom.py
++++ b/waftools/checks/custom.py
+@@ -144,7 +144,6 @@ def check_rpi(ctx, dependency_identifier):
+ checks = [
+ check_pkg_config('bcm_host', uselib_store='bcm_host'),
+ check_pkg_config('egl'),
+- check_pkg_config('glesv2'),
+ check_cc(lib=['mmal_core', 'mmal_util', 'mmal_vc_client'], use=['bcm_host']),
+ ]
+
+diff --git a/wscript b/wscript
+index 7270bf464..a24d4852f 100644
+--- a/wscript
++++ b/wscript
+@@ -610,16 +610,13 @@ video_output_features = [
+ 'desc': 'OpenGL X11 EGL Backend',
+ 'deps': [ 'x11' ],
+ 'groups': [ 'gl' ],
+- 'func': check_pkg_config('egl', 'gl'),
++ 'func': check_pkg_config('egl'),
+ } , {
+ 'name': '--egl-drm',
+ 'desc': 'OpenGL DRM EGL Backend',
+ 'deps': [ 'drm', 'gbm' ],
+ 'groups': [ 'gl' ],
+- 'func': compose_checks(
+- check_pkg_config('egl'),
+- check_pkg_config_cflags('gl')
+- )
++ 'func': check_pkg_config('egl'),
+ } , {
+ 'name': '--gl-wayland',
+ 'desc': 'OpenGL Wayland Backend',
+@@ -743,7 +740,6 @@ video_output_features = [
+ 'deps': ['libdl'],
+ 'func': compose_checks(
+ check_cc(lib="EGL"),
+- check_cc(lib="GLESv2"),
+ check_statement('EGL/fbdev_window.h', 'struct fbdev_window test'),
+ check_statement('linux/fb.h', 'struct fb_var_screeninfo test'),
+ ),
+
+commit 010c7d499258c1064189b2d149ae6eca859d9ae1
+Author: wm4 <wm4@nowhere>
+Date: Wed Apr 26 17:43:23 2017 +0200
+
+vo_opengl: context_drm_egl: remove unnecessary include
+
+Could be broken after the previous commit removed finding the GL include
+dir.
+
+diff --git a/video/out/opengl/context_drm_egl.c b/video/out/opengl/context_drm_egl.c
+index 1852cb76f..e52fec451 100644
+--- a/video/out/opengl/context_drm_egl.c
++++ b/video/out/opengl/context_drm_egl.c
+@@ -27,7 +27,6 @@
+ #include <gbm.h>
+ #include <EGL/egl.h>
+ #include <EGL/eglext.h>
+-#include <GL/gl.h>
+
+ #include "context.h"
+ #include "egl_helpers.h"
diff --git a/media-video/mpv/mpv-0.25.0.ebuild b/media-video/mpv/mpv-0.25.0.ebuild
new file mode 100644
index 00000000000..b978fb7d764
--- /dev/null
+++ b/media-video/mpv/mpv-0.25.0.ebuild
@@ -0,0 +1,376 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_REQ_USE='threads(+)'
+
+WAF_PV=1.9.8
+
+inherit gnome2-utils pax-utils python-r1 toolchain-funcs versionator waf-utils xdg-utils
+
+DESCRIPTION="Media player based on MPlayer and mplayer2"
+HOMEPAGE="https://mpv.io/"
+
+if [[ ${PV} != *9999* ]]; then
+ SRC_URI="https://github.com/mpv-player/mpv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+ DOCS=( RELEASE_NOTES )
+else
+ EGIT_REPO_URI=( {https,git}://github.com/mpv-player/mpv.git )
+ inherit git-r3
+fi
+SRC_URI+=" https://waf.io/waf-${WAF_PV}"
+DOCS+=( README.md )
+
+# See Copyright in sources and Gentoo bug 506946. Waf is BSD, libmpv is ISC.
+LICENSE="LGPL-2.1+ GPL-2+ BSD ISC"
+SLOT="0"
+IUSE="+alsa aqua archive bluray cdda +cli coreaudio cplugins cuda doc drm dvb
+ dvd +egl encode gbm +iconv jack jpeg lcms +libass libav libcaca libmpv +lua
+ luajit openal +opengl oss pulseaudio raspberry-pi rubberband samba sdl
+ selinux test tools +uchardet v4l vaapi vdpau vf-dlopen wayland +X +xv
+ zsh-completion"
+IUSE+=" cpu_flags_x86_sse4_1"
+
+REQUIRED_USE="
+ || ( cli libmpv )
+ aqua? ( opengl )
+ cuda? ( !libav opengl )
+ egl? ( || ( gbm X wayland ) )
+ gbm? ( drm egl opengl )
+ lcms? ( opengl )
+ luajit? ( lua )
+ opengl? ( || ( aqua egl X raspberry-pi !cli? ( libmpv ) ) )
+ raspberry-pi? ( opengl )
+ test? ( opengl )
+ tools? ( cli )
+ uchardet? ( iconv )
+ v4l? ( || ( alsa oss ) )
+ vaapi? ( || ( gbm X wayland ) )
+ vdpau? ( X )
+ wayland? ( egl )
+ X? ( egl? ( opengl ) )
+ xv? ( X )
+ zsh-completion? ( cli )
+ ${PYTHON_REQUIRED_USE}
+"
+
+COMMON_DEPEND="
+ !libav? ( >=media-video/ffmpeg-3.2.2:0=[encode?,threads,vaapi?,vdpau?] )
+ libav? ( >=media-video/libav-12:0=[encode?,threads,vaapi?,vdpau?] )
+ sys-libs/zlib
+ alsa? ( >=media-libs/alsa-lib-1.0.18 )
+ archive? ( >=app-arch/libarchive-3.0.0:= )
+ bluray? ( >=media-libs/libbluray-0.3.0:= )
+ cdda? ( dev-libs/libcdio-paranoia )
+ cuda? ( >=media-video/ffmpeg-3.3:0 )
+ drm? ( x11-libs/libdrm )
+ dvd? (
+ >=media-libs/libdvdnav-4.2.0
+ >=media-libs/libdvdread-4.1.0
+ )
+ egl? ( media-libs/mesa[egl,gbm(-)?,wayland(-)?] )
+ iconv? (
+ virtual/libiconv
+ uchardet? ( app-i18n/uchardet )
+ )
+ jack? ( virtual/jack )
+ jpeg? ( virtual/jpeg:0 )
+ lcms? ( >=media-libs/lcms-2.6:2 )
+ libass? (
+ >=media-libs/libass-0.12.1:=[fontconfig,harfbuzz]
+ virtual/ttf-fonts
+ )
+ libcaca? ( >=media-libs/libcaca-0.99_beta18 )
+ lua? (
+ !luajit? ( <dev-lang/lua-5.3:= )
+ luajit? ( dev-lang/luajit:2 )
+ )
+ openal? ( >=media-libs/openal-1.13 )
+ pulseaudio? ( media-sound/pulseaudio )
+ raspberry-pi? ( >=media-libs/raspberrypi-userland-0_pre20160305-r1 )
+ rubberband? ( >=media-libs/rubberband-1.8.0 )
+ samba? ( net-fs/samba[smbclient(+)] )
+ sdl? ( media-libs/libsdl2[sound,threads,video] )
+ v4l? ( media-libs/libv4l )
+ vaapi? ( >=x11-libs/libva-1.4.0[drm?,X?,wayland?] )
+ vdpau? ( >=x11-libs/libvdpau-0.2 )
+ wayland? (
+ >=dev-libs/wayland-1.6.0
+ >=x11-libs/libxkbcommon-0.3.0
+ )
+ X? (
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXext
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ opengl? (
+ x11-libs/libXdamage
+ virtual/opengl
+ )
+ xv? ( x11-libs/libXv )
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ ${PYTHON_DEPS}
+ dev-python/docutils
+ virtual/pkgconfig
+ doc? ( dev-python/rst2pdf )
+ dvb? ( virtual/linuxtv-dvb-headers )
+ test? ( >=dev-util/cmocka-1.0.0 )
+ v4l? ( virtual/os-headers )
+ zsh-completion? ( dev-lang/perl )
+"
+RDEPEND="${COMMON_DEPEND}
+ cuda? ( x11-drivers/nvidia-drivers[X] )
+ selinux? ( sec-policy/selinux-mplayer )
+ tools? ( ${PYTHON_DEPS} )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.19.0-make-ffmpeg-version-check-non-fatal.patch"
+ "${FILESDIR}/${PN}-0.23.0-make-libavdevice-check-accept-libav.patch"
+ "${FILESDIR}/${PV}/${PN}-use-internal-GL-definitions.patch"
+)
+
+mpv_check_compiler() {
+ if [[ ${MERGE_TYPE} != "binary" ]]; then
+ if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || \
+ ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 5 ) ]]; then
+ die "${PN} requires GCC>=4.5."
+ fi
+ if use opengl && ! tc-has-tls; then
+ die "Your compiler lacks C++11 TLS support. Use GCC>=4.8 or Clang>=3.3."
+ fi
+ if ! tc-is-gcc && use vaapi && use cpu_flags_x86_sse4_1 && \
+ { has_version '<media-video/ffmpeg-3.3:0' || has_version '<media-video/libav-13:0'; }; then
+ die "${PN} requires GCC for SSE4.1 intrinsics."
+ fi
+ fi
+}
+
+pkg_pretend() {
+ mpv_check_compiler
+}
+
+pkg_setup() {
+ mpv_check_compiler
+ [[ ${MERGE_TYPE} != "binary" ]] && python_setup
+}
+
+src_prepare() {
+ cp "${DISTDIR}/waf-${WAF_PV}" "${S}"/waf || die
+ chmod +x "${S}"/waf || die
+ default_src_prepare
+}
+
+src_configure() {
+ tc-export CC PKG_CONFIG AR
+
+ if tc-is-cross-compiler && use raspberry-pi; then
+ export EXTRA_PKG_CONFIG_LIBDIR="${SYSROOT%/}${EPREFIX}/opt/vc/lib/pkgconfig"
+ # Drop next line when Gentoo bug 607344 is fixed or if you fixed it locally.
+ die "${PN} can't be cross built with raspberry-pi USE enabled. See Gentoo bug 607344."
+ fi
+
+ local mywafargs=(
+ --confdir="${EPREFIX}/etc/${PN}"
+ --docdir="${EPREFIX}/usr/share/doc/${PF}"
+ --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+
+ $(usex cli '' '--disable-cplayer')
+ $(use_enable libmpv libmpv-shared)
+
+ --disable-libmpv-static
+ --disable-static-build
+ # See deep down below for build-date.
+ --disable-optimize # Don't add '-O2' to CFLAGS.
+ --disable-debug-build # Don't add '-g' to CFLAGS.
+ --enable-html-build
+
+ $(use_enable doc pdf-build)
+ $(use_enable cplugins)
+ $(use_enable vf-dlopen vf-dlopen-filters)
+ $(use_enable zsh-completion zsh-comp)
+ $(use_enable test)
+
+ $(use_enable iconv)
+ $(use_enable samba libsmbclient)
+ $(use_enable lua)
+ $(usex luajit '--lua=luajit' '')
+ $(use_enable libass)
+ $(use_enable libass libass-osd)
+ $(use_enable encode encoding)
+ $(use_enable bluray libbluray)
+ $(use_enable dvd dvdread)
+ $(use_enable dvd dvdnav)
+ $(use_enable cdda)
+ $(use_enable uchardet)
+ $(use_enable rubberband)
+ $(use_enable lcms lcms2)
+ --disable-vapoursynth # Only available in overlays.
+ --disable-vapoursynth-lazy
+ $(use_enable archive libarchive)
+
+ --enable-libavdevice
+
+ # Audio outputs:
+ $(use_enable sdl sdl2) # Listed under audio, but also includes video.
+ --disable-sdl1
+ $(use_enable oss oss-audio)
+ --disable-rsound # Only available in overlays.
+ --disable-sndio # Only available in overlays.
+ $(use_enable pulseaudio pulse)
+ $(use_enable jack)
+ $(use_enable openal)
+ --disable-opensles
+ $(use_enable alsa)
+ $(use_enable coreaudio)
+
+ # Video outputs:
+ $(use_enable aqua cocoa)
+ $(use_enable drm)
+ $(use_enable gbm)
+ $(use_enable wayland)
+ $(use_enable X x11)
+ $(use_enable xv)
+ $(usex opengl "$(use_enable aqua gl-cocoa)" '--disable-gl-cocoa')
+ $(usex opengl "$(use_enable X gl-x11)" '--disable-gl-x11')
+ $(usex egl "$(use_enable X egl-x11)" '--disable-egl-x11')
+ $(usex egl "$(use_enable gbm egl-drm)" '--disable-egl-drm')
+ $(usex opengl "$(use_enable wayland gl-wayland)" '--disable-gl-wayland')
+ $(use_enable vdpau)
+ $(usex vdpau "$(use_enable opengl vdpau-gl-x11)" '--disable-vdpau-gl-x11')
+ $(use_enable vaapi) # See below for vaapi-glx, vaapi-x-egl.
+ $(usex vaapi "$(use_enable X vaapi-x11)" '--disable-vaapi-x11')
+ $(usex vaapi "$(use_enable wayland vaapi-wayland)" '--disable-vaapi-wayland')
+ $(usex vaapi "$(use_enable gbm vaapi-drm)" '--disable-vaapi-drm')
+ $(use_enable libcaca caca)
+ $(use_enable jpeg)
+ --disable-android
+ $(use_enable raspberry-pi rpi)
+ $(usex libmpv "$(use_enable opengl plain-gl)" '--disable-plain-gl')
+ --disable-mali-fbdev # Only available in overlays.
+ $(usex opengl '' '--disable-gl')
+
+ # HWaccels:
+ # Automagic Video Toolbox HW acceleration. See Gentoo bug 577332.
+ $(use_enable vaapi vaapi-hwaccel)
+ $(use_enable vdpau vdpau-hwaccel)
+ $(use_enable cuda cuda-hwaccel)
+
+ # TV features:
+ $(use_enable v4l tv)
+ $(use_enable v4l tv-v4l2)
+ $(use_enable v4l libv4l2)
+ $(use_enable v4l audio-input)
+ $(use_enable dvb dvbin)
+
+ # Miscellaneous features:
+ --disable-apple-remote # Needs testing first. See Gentoo bug 577332.
+ )
+
+ if use vaapi && use X; then
+ mywafargs+=(
+ $(use_enable opengl vaapi-glx)
+ $(use_enable egl vaapi-x-egl)
+ )
+ fi
+
+ # Create reproducible non-live builds.
+ [[ ${PV} != *9999* ]] && mywafargs+=(--disable-build-date)
+
+ waf-utils_src_configure "${mywafargs[@]}"
+}
+
+src_install() {
+ waf-utils_src_install
+
+ if use lua; then
+ insinto /usr/share/${PN}
+ doins -r TOOLS/lua
+ fi
+
+ if use cli && use luajit; then
+ pax-mark -m "${ED}"usr/bin/${PN}
+ fi
+
+ if use tools; then
+ dobin TOOLS/{mpv_identify.sh,umpv}
+ newbin TOOLS/idet.sh mpv_idet.sh
+ python_replicate_script "${ED}"usr/bin/umpv
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ local rv softvol_0_18_1=0 osc_0_21_0=0 opengl_0_25_0=0
+
+ for rv in ${REPLACING_VERSIONS}; do
+ version_compare ${rv} 0.18.1
+ [[ $? -eq 1 ]] && softvol_0_18_1=1
+ version_compare ${rv} 0.21.0
+ [[ $? -eq 1 ]] && osc_0_21_0=1
+ version_compare ${rv} 0.25.0
+ [[ $? -eq 1 ]] && ! use opengl && opengl_0_25_0=1
+ done
+
+ if [[ ${softvol_0_18_1} -eq 1 ]]; then
+ elog "Since version 0.18.1 the software volume control is always enabled."
+ elog "This means that volume controls don't change the system volume,"
+ elog "e.g. per-application volume with PulseAudio."
+ elog "If you want to restore the previous behaviour, please refer to"
+ elog
+ elog "https://wiki.gentoo.org/wiki/Mpv#Volume_in_0.18.1"
+ elog
+ fi
+
+ if [[ ${osc_0_21_0} -eq 1 ]]; then
+ elog "In version 0.21.0 the default OSC layout was changed."
+ elog "If you want to restore the previous layout, please refer to"
+ elog
+ elog "https://wiki.gentoo.org/wiki/Mpv#OSC_in_0.21.0"
+ elog
+ fi
+
+ if [[ ${opengl_0_25_0} -eq 1 ]]; then
+ elog "Since version 0.25.0 the 'opengl' USE flag is mapped to"
+ elog "the 'opengl' video output and no longer depends on X11"
+ elog "or Mac OS Aqua. Consider enabling the 'opengl' USE flag."
+ fi
+
+ if use cli && ! has_version 'app-shells/mpv-bash-completion'; then
+ elog "If you want to have command-line completion via bash-completion,"
+ elog "please install app-shells/mpv-bash-completion."
+ fi
+
+ if use cli && [[ -n ${REPLACING_VERSIONS} ]] && \
+ has_version 'app-shells/mpv-bash-completion'; then
+ elog "If command-line completion doesn't work after mpv update,"
+ elog "please rebuild app-shells/mpv-bash-completion."
+ fi
+
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+src_test() {
+ cd "${S}"/build/test || die
+ local test
+ for test in *; do
+ if [[ -x ${test} ]]; then
+ ./"${test}" || die "Test suite failed"
+ fi
+ done
+}